import { NgModule } from '@angular/core';
import { AppConfig, AuthGuard, LoaderService, HttpClient, httpServiceFactory } from './index';

@NgModule({
    imports: [AppConfig],
    declarations: [HttpClient
    ],
    providers: [AppConfig, AuthGuard, LoaderService],
    exports: [AuthGuard, HttpClient]
})
export class CoreModule {
}
